#ifndef __TVIA_GLOBAL_H
#define __TVIA_GLOBAL_H
/* -----------------COMPILATION SWITCHES (DIRECTIVES)---------------------*/
#define LINEAR_MEMORY    1    /* 1: . Memory access is linear
                                    . All I/Os are memory mapped at high
                                      address above the 4MB linear frame buffer
                                      (from 0x??8BD000 to 0x??8BFFFF, where ??
                                      can be 0x01 to 0xFF which is assigned by
                                      system software such as PC system BIOS).

                                 0: . Memory access is banked at VGA space from
                                      0xA0000 to 0xAFFFF.
                                    . Normal VGA standard I/O is port I/O access.
                                    . TV I/O, 2D Engine I/O, Audio I/O, etc. are
                                      memory mapped only and located at VGA
                                      space from 0xBD000 to 0xBFFFF.
                              */
/*--------------------------------------------------------------------------*/

#define DOSDEBUG  0    /*this will include some DOS functions for debug & test*/


/*
  TVIA uses the following data type definitions for all TVIA SDK code to avoid
  the confusion where WORD/DWORD could be 16/32 bits or 32/64 bits.
*/
typedef   unsigned char  BYTE_;     /*8 bits*/
typedef   unsigned short WORD_;     /*16 bits*/
typedef   unsigned long  DWORD_;    /*32 bits*/
/*
 ********************************************************************
        -----!!! SPECIAL NOTICE !!!-----
   Note:SDK MIDI software need signed integer type to program easily.
   So add next three new type in SDKBASE\INC\GLOBAL.H
   Any other TVIA NEWSDK source code can ignore the three  new type.
 ********************************************************************
 */
typedef   signed long    LONG_;     /*32 bits*/
typedef   signed short   INT_ ;     /*16 bits*/
typedef   signed char    CHAR_;     /*08 bits*/

#if LINEAR_MEMORY
  #define far_
#else
  #define far_  far         /*for BC++ 16 apps*/
#endif

#define   ON         1
#define   OFF        0

#ifndef   TRUE
#define   TRUE       1
#endif

#ifndef   FALSE
#define   FALSE      0
#endif

#define   PAL        0
#define   NTSC       1

#define   PORTA      0
#define   PORTB      1

#define   CCIR601    0
#define   CCIR656    1

#endif /* __TVIA_GLOBAL_H */
