#ifndef __TVIA_OVERLAY_H
#define __TVIA_OVERLAY_H

#define YUV422    0 /*captured data is YUV 422 format*/
#define RGB555    1
#define RGB565    2
#define RGB888    3 
#define RGB8888   4
#define RGB8      5
#define RGB4444   6
#define RGB8T     7

#define COLORKEY  0 /*Overlayed window is of color keying*/
#define WINDOWKEY 1 /*Overlayed window is of window keying*/

#define WEAVEMODE 0
#define BOBMODE   1     

#define OVERLAY1 0
#define OVERLAY2 1

void Tvia_SelectOverlayIndex(WORD_ wIndex);
WORD_ Tvia_GetOverlayIndex();
void Tvia_InitOverlay(void);
void Tvia_SetOverlayFormat(BYTE_ bFormat);
void Tvia_SetOverlayMode(BYTE_ bMode);
void Tvia_SetRGBKeyColor (DWORD_ cref);
void Tvia_SetOverlaySrcAddr(DWORD_ dwMemAddr, WORD_ wX, WORD_ wY, 
    WORD_ wFetchWidth, WORD_ wPitchWidth);
void Tvia_SetOverlayWindow(WORD_ wLeft, WORD_ wTop, WORD_ wRight, 
    WORD_ wBottom);
void Tvia_SetOverlayScale( BYTE_ bEnableBob, WORD_ wSrcXExt, WORD_ wDstXExt,
    WORD_ wSrcYExt, WORD_ wDstYExt );
void Tvia_ChangeOverlayFIFO(void);
void Tvia_WhichOverlayOnTop(BYTE_ bWhich);
void Tvia_OverlayOn(void);
void Tvia_OverlayOff(void);    
void Tvia_OverlayCleanUp(void);

#endif
