/*=========================================================================
  Header file for UTILITY.H
  ========================================================================*/

#ifndef __TVIA_UTILITY_H
#define __TVIA_UTILITY_H

#define CHIP2010     8

#define ExtChipID0   0x91
#define ExtChipID1   0x92

#define X_SCREEN     0
#define Y_SCREEN     1

#define ON_SCREEN    0
#define OFF_SCREEN   1

#define NO_CRT       0xFFFF
#define COLOR_CRT    0
#define MONO_CRT     1

#define NO_TV        0xFFFF
#define S_VIDEO      0
#define COMPOSITE    1
#define S_VIDEO_COMPOSITE 2   /*both s-video and composite TV sets are connected*/

#ifdef __cplusplus
extern "C" {
#endif

WORD_   GetCurrentScreenInfo(WORD_ iScreen);
WORD_   GetCurrentScreenMapSize(WORD_ iWhichScreen);
DWORD_  GetLinearBufferPtr(void);
WORD_   GetBpp(void);
WORD_   GetVMemSize(void);
WORD_   GetBusWidth(void);
WORD_   GetChipID(void);
double  GetVMemoryClock(void);
double  GetVPixelClock(void);
double  CalculateClock(BYTE_ b0, BYTE_ b1, BYTE_ b3);
void    WaitCrtVertSync(void);
void    WaitCrtHoriSync(void);
WORD_   DetectCRT(void);
WORD_   DetectTV(void);
void    TurnOnOffTVDAC(WORD_ iOnOff);
void    TurnOnOffCRTDAC(WORD_ iOnOff);
void    TurnOnOffRAMDAC(WORD_ iOnOff);

#ifdef __cplusplus
}
#endif
#endif /* __TVIA_MAPMEM_H */

